Description

It seems to be some issue with Upp namespace. See full buildlog here: http://pastebin.com/CnL1Hgkt.

History

#1 - 01/24/2016 10:05 PM - Jan Dolinar

Ok, so it has nothing to do with namespaces... The problem is 'None' in PythonSyntax::Identation::Type. There is macro called None in X/X11.h, which

messes things up. The solution is to rename the enum value to something else.

BTW: The "Identation" struct is a typo, it should be renamed to "Indentation".

#2 - 01/25/2016 09:21 PM - Zbigniew Rebacz
Thanks for information. It is my fault. We can change None. | will make complex patch that allows identation insert in html/xml like style with minor re

factoring of indentation. None is probably now - Unknown. Shouldn't syntax be in upp namespace?

#3 - 01/26/2016 11:42 AM - Jan Dolinar
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Can you please simply rename the None ASAP? It breaks the nightly builds of Debian and Arch packages. Complex changes can wait, but this should be

fixed as soon as possible. Thanks.

#4 - 01/26/2016 08:40 PM - Zbigniew Rebacz

- File CodeEditorNOGTKCompilationFix.diff added

#5 - 01/26/2016 08:50 PM - Miroslav Fidler

- Status changed from New to Ready for QA

Applied.

#6 - 01/27/2016 09:52 AM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Jan Dolinar

#7 - 01/27/2016 09:54 AM - Jan Dolinar
- Status changed from Ready for QA to Approved
http://pastebin.com/CnL1Hqkt

Files

CodeEditorNOGTKCompilationFix.diff 695 Bytes 01/26/2016 Zbigniew Rebacz

08/23/2025 22



